# Class: PDFPageProxy

## PDFPageProxy

#### new PDFPageProxy()

Proxy to a PDFPage in the worker thread.

Source:
  - display/api.js, line 741

### Members

#### pageNumber

Source:
  - display/api.js, line 759

#### ref

Source:
  - display/api.js, line 772

#### rotate

Source:
  - display/api.js, line 765

#### userUnit

Source:
  - display/api.js, line 778

#### view

Source:
  - display/api.js, line 785

### Methods

#### _destroy()

Destroys page object.

Source:
  - display/api.js, line 970

#### cleanup()

Cleans up resources allocated by the page.

Source:
  - display/api.js, line 1005

#### destroy()

Cleans up resources allocated by the page. (deprecated)

Source:
  - display/api.js, line 997

#### getAnnotations(params) → {Promise}

##### Parameters:

Name | Type | Description
--- | --- | ---
`params` | GetAnnotationsParameters | Annotation parameters.

Source:
  - display/api.js, line 806

##### Returns:

A promise that is resolved with an {Array} of the annotation objects.

Type
  Promise

#### getOperatorList() → {Promise}

Source:
  - display/api.js, line 913

##### Returns:

A promise resolved with an PDFOperatorList object that represents page's operator list.

Type
  Promise

#### getTextContent(params) → {Promise}

##### Parameters:

Name | Type | Description
--- | --- | ---
`params` | getTextContentParameters | getTextContent parameters.

Source:
  - display/api.js, line 958

##### Returns:

That is resolved a TextContent object that represent the page text content.

Type
  Promise

#### getViewport(scale, rotate) → {PageViewport}

##### Parameters:

Name | Type | Description
--- | --- | ---
`scale` | number | The desired scale of the viewport.
`rotate` | number | Degrees to rotate the viewport. If omitted this defaults to the page rotation.

Source:
  - display/api.js, line 795

##### Returns:

Contains 'width' and 'height' properties along with transforms required for rendering.

Type
  PageViewport

#### render(params) → {RenderTask}

Begins the process of rendering a page to the desired context.

##### Parameters:

Name | Type | Description
--- | --- | ---
`params` | RenderParameters | Page render parameters.

Source:
  - display/api.js, line 822

##### Returns:

An object that contains the promise, which is resolved when the page finishes rendering.

Type
  RenderTask